Skip to content

Promote Automation

POST
/api/automations/{automation_alias}/promote
curl --request POST \
--url https://example.com/api/automations/example/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
automation_alias
required
Automation Alias
string
Media typeapplication/json
AutomationLifecycleRequest
object
Examplegenerated
{}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}